Skip to main content
Server path: /habitica-tasks | Type: Application | PCID required: Yes

Tools

ToolDescription
habitica_tasks_create_group_by_group_id_tasks_by_task_id_move_to_by_positionMove a group task to a specified position
habitica_tasks_create_reorder_tagsReorder Tags
habitica_tasks_create_tagsCreate a new tag
habitica_tasks_create_tasks_by_task_id_assignAssign a group task to a user or users
habitica_tasks_create_tasks_by_task_id_checklistAdd an item to the task’s checklist
habitica_tasks_create_tasks_by_task_id_checklist_by_item_id_scoreScore a checklist item
habitica_tasks_create_tasks_by_task_id_move_to_by_positionMove a task to a new position
habitica_tasks_create_tasks_by_task_id_needs_work_by_user_idRequire more work for a group task
habitica_tasks_create_tasks_by_task_id_score_by_directionScore a task
habitica_tasks_create_tasks_by_task_id_tags_by_tag_idAdd a tag to a task
habitica_tasks_create_tasks_by_task_id_unassign_by_assigned_user_idUnassign a user from a task
habitica_tasks_create_tasks_challenge_by_challenge_idCreate a new task belonging to a challenge
habitica_tasks_create_tasks_clear_completed_todosDelete user’s completed todos
habitica_tasks_create_tasks_group_by_group_idCreate a new task belonging to a group
habitica_tasks_create_tasks_unlink_all_by_challenge_idUnlink all tasks from a challenge
habitica_tasks_create_tasks_unlink_one_by_task_idUnlink a challenge task
habitica_tasks_create_tasks_userCreate a new task belonging to the user
habitica_tasks_delete_by_task_idDelete a task
habitica_tasks_delete_by_task_id_checklist_by_item_idDelete a checklist item from a task
habitica_tasks_delete_by_task_id_tags_by_tag_idDelete a tag from a task
habitica_tasks_delete_tags_by_tag_idDelete a user tag
habitica_tasks_get_by_task_idGet a task
habitica_tasks_get_challenge_by_challenge_idGet a challenge’s tasks
habitica_tasks_get_group_by_group_idGet a group’s tasks
habitica_tasks_get_tagsGet all user’s tags
habitica_tasks_get_tags_by_tag_idGet a Tag
habitica_tasks_get_userGet user’s tasks
habitica_tasks_update_tags_by_tag_idUpdate Tag
habitica_tasks_update_tasks_by_task_idUpdate a task
habitica_tasks_update_tasks_by_task_id_checklist_by_item_idUpdate a checklist item

habitica_tasks_create_group_by_group_id_tasks_by_task_id_move_to_by_position

Move a group task to a specified position Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
taskIdstringYesThe task _id or alias
positionintegerYesWhere to move the task. 0 = top of the list (“push to top”). -1 = bottom of the list (“push to bottom”)

habitica_tasks_create_reorder_tags

Reorder Tags Parameters:
ParameterTypeRequiredDefaultDescription
tagIdstringNoThe ID of the tag to reorder.
tonumberNoThe new position of the tag in the order.

habitica_tasks_create_tags

Create a new tag Parameters:
ParameterTypeRequiredDefaultDescription
namestringNoThe name of the new tag.

habitica_tasks_create_tasks_by_task_id_assign

Assign a group task to a user or users Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe id of the task that will be assigned
bodystring[]NoThe ID of the user to whom the task will be assigned

habitica_tasks_create_tasks_by_task_id_checklist

Add an item to the task’s checklist Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe task _id or alias
completedbooleanNoWhether the checklist item is checked off
textstringYesThe text of the checklist item

habitica_tasks_create_tasks_by_task_id_checklist_by_item_id_score

Score a checklist item Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe task _id or alias
itemIdstringYesThe checklist item _id

habitica_tasks_create_tasks_by_task_id_move_to_by_position

Move a task to a new position Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe task _id or alias
positionintegerYesWhere to move the task. 0 = top of the list (“push to top”). -1 = bottom of the list (“push to bottom”)

habitica_tasks_create_tasks_by_task_id_needs_work_by_user_id

Require more work for a group task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe id pr alies of the task that is the original group task
userIdstringYesThe id of the assigned user

habitica_tasks_create_tasks_by_task_id_score_by_direction

Score a task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe task _id or alias
directionstringYesThe direction for scoring the task (up or down).

habitica_tasks_create_tasks_by_task_id_tags_by_tag_id

Add a tag to a task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe task _id or alias
tagIdstringYesThe tag id

habitica_tasks_create_tasks_by_task_id_unassign_by_assigned_user_id

Unassign a user from a task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe id of the task that is the original group task
assignedUserIdstringYesThe id of the user that will be unassigned from the task

habitica_tasks_create_tasks_challenge_by_challenge_id

Create a new task belonging to a challenge Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesThe id of the challenge
attributestringNoUser’s attribute to use, options are: str, int, per, con
collapseChecklistbooleanNoDetermines if a checklist will be displayed
datestringNoDue date to be shown in task list. Only valid for type “todo”
daysOfMonthinteger[]NoArray of integers. Only valid for type “daily”
downbooleanNoOnly valid for type “habit” If true, enables the ”-” under “Directions/Action” for “Bad habits”
everyXintegerNoValue of frequency must be “daily”, the number of days until this daily task is available again
frequencystringNoValues “weekly” and “monthly” enable use of the “repeat” field. All frequency values enable use of the “everyX” field. Value “monthly” enables use of the “weeksOfMonth” and “daysOfMonth” fields. Frequency is only valid for type “daily”.
notesstringNoExtra notes
priorityintegerNoDifficulty, options are 0.1, 1, 1.5, 2; equivalent of Trivial, Easy, Medium, Hard
remindersstring[]NoArray of reminders, each an object that must include: a UUID, startDate and time.\nFor example: {“id”:“ed427623-9a69-4aac-9852-13deb9c190c3”, “startDate”:“1/16/17”,“time”:“1/16/17” }
repeatstringNoList of objects for days of the week, Days that are true will be repeated upon. Only valid for type “daily”. Any days not specified will be marked as true. Days are: su, m, t, w, th, f, s. Value of frequency must be “weekly”. For example, to skip repeats on Mon and Fri: “repeat”:{“f”:false,“m”:false}
startDatestringNoDate when the task will first become available. Only valid for type “daily”
streakintegerNoNumber of days that the task has consecutively been checked off. Only valid for type “daily”
textstringYesThe text to be displayed for the task
typestringYesTask type, options are: habit, daily, todo, reward
upbooleanNoOnly valid for type “habit” If true, enables the ”+” under “Directions/Action” for “Good habits”
valueintegerNoOnly valid for type “reward.” The cost in gold of the reward
weeksOfMonthinteger[]NoArray of integers. Only valid for type “daily”

habitica_tasks_create_tasks_clear_completed_todos

Delete user’s completed todos

habitica_tasks_create_tasks_group_by_group_id

Create a new task belonging to a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
attributestringNoUser’s attribute to use, options are: str, int, per, con
collapseChecklistbooleanNoDetermines if a checklist will be displayed
datestringNoDue date to be shown in task list. Only valid for type “todo”
daysOfMonthinteger[]NoArray of integers. Only valid for type “daily”
downbooleanNoOnly valid for type “habit” If true, enables the ”-” under “Directions/Action” for “Bad habits”
everyXintegerNoValue of frequency must be “daily”, the number of days until this daily task is available again
frequencystringNoValues “weekly” and “monthly” enable use of the “repeat” field. All frequency values enable use of the “everyX” field. Value “monthly” enables use of the “weeksOfMonth” and “daysOfMonth” fields. Frequency is only valid for type “daily”.
notesstringNoExtra notes
priorityintegerNoDifficulty, options are 0.1, 1, 1.5, 2; equivalent of Trivial, Easy, Medium, Hard
remindersstring[]NoArray of reminders, each an object that must include: a UUID, startDate and time.\nFor example: {“id”:“ed427623-9a69-4aac-9852-13deb9c190c3”, “startDate”:“1/16/17”,“time”:“1/16/17” }
repeatstringNoList of objects for days of the week, Days that are true will be repeated upon. Only valid for type “daily”. Any days not specified will be marked as true. Days are: su, m, t, w, th, f, s. Value of frequency must be “weekly”. For example, to skip repeats on Mon and Fri: “repeat”:{“f”:false,“m”:false}
startDatestringNoDate when the task will first become available. Only valid for type “daily”
streakintegerNoNumber of days that the task has consecutively been checked off. Only valid for type “daily”
textstringYesThe text to be displayed for the task
typestringYesTask type, options are: habit, daily, todo, reward
upbooleanNoOnly valid for type “habit” If true, enables the ”+” under “Directions/Action” for “Good habits”
valueintegerNoOnly valid for type “reward.” The cost in gold of the reward
weeksOfMonthinteger[]NoArray of integers. Only valid for type “daily”

Unlink all tasks from a challenge Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesThe challenge _id
keepstringYesSpecifies if tasks should be kept(keep-all) or removed(remove-all) after the unlink.

Unlink a challenge task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe task _id or alias
keepstringNoSpecifies if the task should be kept(keep) or removed(remove)

habitica_tasks_create_tasks_user

Create a new task belonging to the user Parameters:
ParameterTypeRequiredDefaultDescription
aliasstringNoAlias to assign to task.
attributestringNoUser’s attribute to use, options are: str, int, per, con
checklistobject[]NoAn array of checklist items.
collapseChecklistbooleanNoDetermines if a checklist will be displayed.
datestringNoDue date to be shown in task list. Only valid for type “todo.”
daysOfMonthnumber[]NoArray of integers. Only valid for type “daily”.
downbooleanNoOnly valid for type “habit” If true, enables the ”-” under “Directions/Action” for “Bad habits”.
everyXnumberNoValue of frequency must be “daily”, the number of days until this daily task is available again.
frequencystringNoValues “weekly” and “monthly” enable use of the “repeat” field. All frequency values enable use of the “everyX” field. Value “monthly” enables use of the “weeksOfMonth” and “daysOfMonth” fields. Frequency is only valid for type “daily”.
notesstringNoAdditional notes or details about the task.
prioritynumberNoDifficulty, options are 0.1, 1, 1.5, 2; equivalent of Trivial, Easy, Medium, Hard.
remindersobject[]NoArray of reminders, each an object that must include: a UUID, startDate and time.
repeatbooleanNoList of objects for days of the week, Days that are true will be repeated upon. Only valid for type “daily”. Any days not specified will be marked as true. Days are: su, m, t, w, th, f, s. Value of frequency must be “weekly”.
startDatestringNoDate when the task will first become available. Only valid for type “daily”.
streaknumberNoNumber of days that the task has consecutively been checked off. Only valid for type “daily”.
tagsstring[]NoArray of UUIDs of tags.
textstringYesThe text to be displayed for the task.
typestringYesTask type, options are: habit, daily, todo, reward.
upbooleanNoOnly valid for type “habit” If true, enables the ”+” under “Directions/Action” for “Good habits”.
valuenumberNoOnly valid for type “reward.” The cost in gold of the reward. Should be greater then or equal to 0.
weeksOfMonthstring[]NoArray of integers. Only valid for type “daily”.

habitica_tasks_delete_by_task_id

Delete a task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe task _id or alias

habitica_tasks_delete_by_task_id_checklist_by_item_id

Delete a checklist item from a task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe task _id or alias
itemIdstringYesThe checklist item _id

habitica_tasks_delete_by_task_id_tags_by_tag_id

Delete a tag from a task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe task _id or alias
tagIdstringYesThe tag id

habitica_tasks_delete_tags_by_tag_id

Delete a user tag Parameters:
ParameterTypeRequiredDefaultDescription
tagIdstringYesThe ID of the tag.

habitica_tasks_get_by_task_id

Get a task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe task _id or alias

habitica_tasks_get_challenge_by_challenge_id

Get a challenge’s tasks Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesThe id of the challenge
typestringNoQuery parameter to return just a type of tasks.

habitica_tasks_get_group_by_group_id

Get a group’s tasks Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
typestringNoQuery parameter to return just a type of tasks.

habitica_tasks_get_tags

Get all user’s tags

habitica_tasks_get_tags_by_tag_id

Get a Tag Parameters:
ParameterTypeRequiredDefaultDescription
tagIdstringYesThe ID of the tag.

habitica_tasks_get_user

Get user’s tasks Parameters:
ParameterTypeRequiredDefaultDescription
typestringNoOptional query parameter to return just a type of tasks. By default all types will be returned except completed todos that must be requested separately. The “completedTodos” type returns only the 30 most recently completed.
dueDatestringNoOptional date to use for computing the nextDue field for each returned task.

habitica_tasks_update_tags_by_tag_id

Update Tag Parameters:
ParameterTypeRequiredDefaultDescription
tagIdstringYesThe ID of the tag.
namestringNoThe name of the new tag.

habitica_tasks_update_tasks_by_task_id

Update a task Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe task _id or alias
attributestringNoUser’s attribute to use, options are: str, int, per, con
collapseChecklistbooleanNoDetermines if a checklist will be displayed
datestringNoDue date to be shown in task list. Only valid for type “todo”
daysOfMonthinteger[]NoArray of integers. Only valid for type “daily”
downbooleanNoOnly valid for type “habit” If true, enables the ”-” under “Directions/Action” for “Bad habits”
everyXintegerNoValue of frequency must be “daily”, the number of days until this daily task is available again
frequencystringNoValues “weekly” and “monthly” enable use of the “repeat” field. All frequency values enable use of the “everyX” field. Value “monthly” enables use of the “weeksOfMonth” and “daysOfMonth” fields. Frequency is only valid for type “daily”.
notesstringNoExtra notes
priorityintegerNoDifficulty, options are 0.1, 1, 1.5, 2; equivalent of Trivial, Easy, Medium, Hard
remindersstring[]NoArray of reminders, each an object that must include: a UUID, startDate and time.\nFor example: {“id”:“ed427623-9a69-4aac-9852-13deb9c190c3”, “startDate”:“1/16/17”,“time”:“1/16/17” }
repeatstringNoList of objects for days of the week, Days that are true will be repeated upon. Only valid for type “daily”. Any days not specified will be marked as true. Days are: su, m, t, w, th, f, s. Value of frequency must be “weekly”. For example, to skip repeats on Mon and Fri: “repeat”:{“f”:false,“m”:false}
startDatestringNoDate when the task will first become available. Only valid for type “daily”
streakintegerNoNumber of days that the task has consecutively been checked off. Only valid for type “daily”
textstringYesThe text to be displayed for the task
typestringYesTask type, options are: habit, daily, todo, reward
upbooleanNoOnly valid for type “habit” If true, enables the ”+” under “Directions/Action” for “Good habits”
valueintegerNoOnly valid for type “reward.” The cost in gold of the reward
weeksOfMonthinteger[]NoArray of integers. Only valid for type “daily”

habitica_tasks_update_tasks_by_task_id_checklist_by_item_id

Update a checklist item Parameters:
ParameterTypeRequiredDefaultDescription
taskIdstringYesThe task _id or alias
itemIdstringYesThe checklist item _id
completedbooleanNoWhether the checklist item is checked off
textstringYesThe text of the checklist item